检索视频
Retrieve a video generation result. Returns the video file if completed, or a status if the request is still processing.
Authentication: This endpoint accepts either a Bearer API key or a SIGN-IN-WITH-X header for x402 wallet-based authentication. The legacy X-Sign-In-With-X header is also accepted during migration. When using x402, a 402 Payment Required response indicates insufficient balance and includes top-up instructions. A 401 response with code X402_USER_NOT_ALLOWED means the wallet’s Venice account is banned or deleted, or the wallet’s x402 credit account belongs to a different user.
curl --request POST \
--url https://api.venice.ai/api/v1/video/retrieve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"queue_id": "123e4567-e89b-12d3-a456-426614174000",
"model": "video-model-123",
"delete_media_on_completion": false
}
'import requests
url = "https://api.venice.ai/api/v1/video/retrieve"
payload = {
"queue_id": "123e4567-e89b-12d3-a456-426614174000",
"model": "video-model-123",
"delete_media_on_completion": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
queue_id: '123e4567-e89b-12d3-a456-426614174000',
model: 'video-model-123',
delete_media_on_completion: false
})
};
fetch('https://api.venice.ai/api/v1/video/retrieve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.venice.ai/api/v1/video/retrieve",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'queue_id' => '123e4567-e89b-12d3-a456-426614174000',
'model' => 'video-model-123',
'delete_media_on_completion' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.venice.ai/api/v1/video/retrieve"
payload := strings.NewReader("{\n \"queue_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"model\": \"video-model-123\",\n \"delete_media_on_completion\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.venice.ai/api/v1/video/retrieve")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"queue_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"model\": \"video-model-123\",\n \"delete_media_on_completion\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.venice.ai/api/v1/video/retrieve")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"queue_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"model\": \"video-model-123\",\n \"delete_media_on_completion\": false\n}"
response = http.request(request)
puts response.read_body{
"status": "PROCESSING",
"average_execution_time": 145000,
"execution_duration": 53200,
"is_draft": true,
"draft_task_id": "123e4567-e89b-12d3-a456-426614174000",
"draft_expires_at": "2026-10-20T08:00:00.000Z",
"can_upgrade_to_hd": false
}{
"error": "<string>",
"details": {
"_errors": [],
"field": {
"_errors": [
"Field is required"
]
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": {
"message": "The selected model provider rejected this request due to its content policies. Credits have been refunded. Try using wan-2-7-text-to-video instead.",
"type": "provider_content_policy",
"credits_refunded": true,
"recommended_model": "wan-2-7-text-to-video"
}
}{
"error": "<string>"
}{
"error": "<string>"
}/video/queue 的响应中包含 download_url,请从该 URL 下载已完成的文件(而非通过此端点以二进制方式返回)。否则,此端点会返回视频。有关下载链接的工作方式、重试机制及可选的 DELETE,请参阅私有下载链接。
授权
请求体
If true, the video media will be deleted from storage after the request is completed. If false, you can use the complete endpoint to remove the media once you have successfully downloaded the video. A draft created with draft is kept until its HD upgrade window ends.
false
响应
Video file if completed, or processing status if still in progress
curl --request POST \
--url https://api.venice.ai/api/v1/video/retrieve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"queue_id": "123e4567-e89b-12d3-a456-426614174000",
"model": "video-model-123",
"delete_media_on_completion": false
}
'import requests
url = "https://api.venice.ai/api/v1/video/retrieve"
payload = {
"queue_id": "123e4567-e89b-12d3-a456-426614174000",
"model": "video-model-123",
"delete_media_on_completion": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
queue_id: '123e4567-e89b-12d3-a456-426614174000',
model: 'video-model-123',
delete_media_on_completion: false
})
};
fetch('https://api.venice.ai/api/v1/video/retrieve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.venice.ai/api/v1/video/retrieve",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'queue_id' => '123e4567-e89b-12d3-a456-426614174000',
'model' => 'video-model-123',
'delete_media_on_completion' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.venice.ai/api/v1/video/retrieve"
payload := strings.NewReader("{\n \"queue_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"model\": \"video-model-123\",\n \"delete_media_on_completion\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.venice.ai/api/v1/video/retrieve")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"queue_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"model\": \"video-model-123\",\n \"delete_media_on_completion\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.venice.ai/api/v1/video/retrieve")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"queue_id\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"model\": \"video-model-123\",\n \"delete_media_on_completion\": false\n}"
response = http.request(request)
puts response.read_body{
"status": "PROCESSING",
"average_execution_time": 145000,
"execution_duration": 53200,
"is_draft": true,
"draft_task_id": "123e4567-e89b-12d3-a456-426614174000",
"draft_expires_at": "2026-10-20T08:00:00.000Z",
"can_upgrade_to_hd": false
}{
"error": "<string>",
"details": {
"_errors": [],
"field": {
"_errors": [
"Field is required"
]
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": {
"message": "The selected model provider rejected this request due to its content policies. Credits have been refunded. Try using wan-2-7-text-to-video instead.",
"type": "provider_content_policy",
"credits_refunded": true,
"recommended_model": "wan-2-7-text-to-video"
}
}{
"error": "<string>"
}{
"error": "<string>"
}